Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.util.TreeFactory

    java.lang.Object
        |
        +----com.ibm.xml.parser.DefaultElementFactory
                |
                +----com.ibm.xml.parser.util.TreeFactory

public class TreeFactory
extends DefaultElementFactory

A factory for Swing `JTree` class.

       Parser p = new Parser(...);
       p.setElementFactory(new TreeFactory());
       TXDocument doc = p.readStream(...);
       tree = new JTree((TreeNode)doc);

Version:
  1.1
See Also:
  setElementFactory(com.ibm.xml.parser.ElementFactory), com.sun.java.swing.JTree, com.sun.java.swing.tree.TreeNode

Inner Class Summary
static | TreeFactory.TreeAttDef
static | TreeFactory.TreeAttlist
static | TreeFactory.TreeCDATASection
static | TreeFactory.TreeComment
static | TreeFactory.TreeDocument
static | TreeFactory.TreeDTD
static | TreeFactory.TreeElement
static | TreeFactory.TreeElementDecl
static | TreeFactory.TreeEntity
static | TreeFactory.TreeNamespacePI
static | TreeFactory.TreeNotation
static | TreeFactory.TreePI
static | TreeFactory.TreeStylesheetPI
static | TreeFactory.TreeText

Constructor Summary
TreeFactory()

Method Summary
AttDef | createAttDef(java.lang.String attributename)
Attlist | createAttlist(java.lang.String elementname)
TXCDATASection | createCDATA(java.lang.String data)
TXComment | createComment(java.lang.String data)
TXDocument | createDocument()
DTD | createDTD()
DTD | createDTD(java.lang.String rootname, ExternalID eid)
TXElement | createElement(java.lang.String name)
ElementDecl | createElementDecl(java.lang.String elementname, ContentModel cs)
Entity | createEntity(java.lang.String name, java.lang.String value, boolean parameter)
Entity | createEntity(java.lang.String name, ExternalID eid, boolean isParameter, java.lang.String ndata)
NamespacePI | createNamespacePI(java.lang.String name, java.lang.String data, java.lang.String ns, java.lang.String prefix, java.lang.String src)
TXNotation | createNotation(java.lang.String name, ExternalID eid)
TXPI | createPI(java.lang.String name, java.lang.String data)
StylesheetPI | createStylesheetPI(java.lang.String name, java.lang.String data, java.lang.String type, java.lang.String href, java.lang.String title)
TXText | createText(java.lang.String data, boolean ignorable)
TXText | createText(char[] ac, int offset, int length, boolean ignorable)
java.lang.String | toStringAttDef(AttDef ad, java.lang.String encoding)
java.lang.String | toStringAttlist(Attlist al, java.lang.String encoding)
java.lang.String | toStringComment(Comment com, java.lang.String encoding)
java.lang.String | toStringDocument(TXDocument doc, java.lang.String encoding)
java.lang.String | toStringDTD(DTD dtd, java.lang.String encoding)
java.lang.String | toStringElement(TXElement el, java.lang.String encoding)
java.lang.String | toStringElementDecl(ElementDecl ed, java.lang.String encoding)
java.lang.String | toStringEntity(Entity ent, java.lang.String encoding)
java.lang.String | toStringNotation(TXNotation no, java.lang.String encoding)
java.lang.String | toStringPI(PI pi, java.lang.String encoding)
java.lang.String | toStringText(Text text, java.lang.String encoding)

Methods inherited from class com.ibm.xml.parser.DefaultElementFactory
createAttDef, createAttlist, createAttribute, createAttributeList, createCDATA, createComment, createContentModel, createContentModel, createDocument, createDTD, createDTD, createElement, createElementDecl, createEntity, createEntity, createGeneralReference, createMessageDigest, createNamespacePI, createNotation, createPI, createStylesheetPI, createText, createText, createText, getInstance, makeDigest, print, printAttDef, printAttlist, printComment, printDocument, printDTD, printElement, printElementDecl, printEntity, printGeneralReference, printNotation, printPI, printPseudoNode, printText, setDigestAlgorithm, toString, toStringAttDef, toStringAttlist, toStringAttribute, toStringComment, toStringDocument, toStringDTD, toStringElement, toStringElementDecl, toStringEntity, toStringGeneralReference, toStringNotation, toStringPI, toStringPseudoNode, toStringText

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### TreeFactory

    public TreeFactory()

Method Detail

### toStringAttDef

    public java.lang.String toStringAttDef(AttDef ad,
                                 java.lang.String encoding)

  Overrides:
    toStringAttDef in class DefaultElementFactory

### toStringAttlist

    public java.lang.String toStringAttlist(Attlist al,
                                  java.lang.String encoding)

  Overrides:
    toStringAttlist in class DefaultElementFactory

### toStringDTD

    public java.lang.String toStringDTD(DTD dtd,
                              java.lang.String encoding)

  Overrides:
    toStringDTD in class DefaultElementFactory

### toStringElementDecl

    public java.lang.String toStringElementDecl(ElementDecl ed,
                                      java.lang.String encoding)

  Overrides:
    toStringElementDecl in class DefaultElementFactory

### toStringEntity

    public java.lang.String toStringEntity(Entity ent,
                                 java.lang.String encoding)

  Overrides:
    toStringEntity in class DefaultElementFactory

### toStringComment

    public java.lang.String toStringComment(Comment com,
                                  java.lang.String encoding)

  Overrides:
    toStringComment in class DefaultElementFactory

### toStringDocument

    public java.lang.String toStringDocument(TXDocument doc,
                                   java.lang.String encoding)

  Overrides:
    toStringDocument in class DefaultElementFactory

### toStringElement

    public java.lang.String toStringElement(TXElement el,
                                  java.lang.String encoding)

  Overrides:
    toStringElement in class DefaultElementFactory

### toStringNotation

    public java.lang.String toStringNotation(TXNotation no,
                                   java.lang.String encoding)

  Overrides:
    toStringNotation in class DefaultElementFactory

### toStringPI

    public java.lang.String toStringPI(PI pi,
                             java.lang.String encoding)

  Overrides:
    toStringPI in class DefaultElementFactory

### toStringText

    public java.lang.String toStringText(Text text,
                               java.lang.String encoding)

  Overrides:
    toStringText in class DefaultElementFactory

### createDocument

    public TXDocument createDocument()

  Overrides:
    createDocument in class DefaultElementFactory

### createElement

    public TXElement createElement(java.lang.String name)

  Overrides:
    createElement in class DefaultElementFactory

### createText

    public TXText createText(java.lang.String data,
                             boolean ignorable)

  Overrides:
    createText in class DefaultElementFactory

### createText

    public TXText createText(char[] ac,
                             int offset,
                             int length,
                             boolean ignorable)

  Overrides:
    createText in class DefaultElementFactory

### createCDATA

    public TXCDATASection createCDATA(java.lang.String data)

  Overrides:
    createCDATA in class DefaultElementFactory

### createComment

    public TXComment createComment(java.lang.String data)

  Overrides:
    createComment in class DefaultElementFactory

### createPI

    public TXPI createPI(java.lang.String name,
                         java.lang.String data)

  Overrides:
    createPI in class DefaultElementFactory

### createNamespacePI

    public NamespacePI createNamespacePI(java.lang.String name,
                                         java.lang.String data,
                                         java.lang.String ns,
                                         java.lang.String prefix,
                                         java.lang.String src)

  Overrides:
    createNamespacePI in class DefaultElementFactory

### createStylesheetPI

    public StylesheetPI createStylesheetPI(java.lang.String name,
                                           java.lang.String data,
                                           java.lang.String type,
                                           java.lang.String href,
                                           java.lang.String title)

  Overrides:
    createStylesheetPI in class DefaultElementFactory

### createDTD

    public DTD createDTD()

  Overrides:
    createDTD in class DefaultElementFactory

### createDTD

    public DTD createDTD(java.lang.String rootname,
                         ExternalID eid)

  Overrides:
    createDTD in class DefaultElementFactory

### createElementDecl

    public ElementDecl createElementDecl(java.lang.String elementname,
                                         ContentModel cs)

  Overrides:
    createElementDecl in class DefaultElementFactory

### createAttlist

    public Attlist createAttlist(java.lang.String elementname)

  Overrides:
    createAttlist in class DefaultElementFactory

### createAttDef

    public AttDef createAttDef(java.lang.String attributename)

  Overrides:
    createAttDef in class DefaultElementFactory

### createEntity

    public Entity createEntity(java.lang.String name,
                               java.lang.String value,
                               boolean parameter)

  Overrides:
    createEntity in class DefaultElementFactory

### createEntity

    public Entity createEntity(java.lang.String name,
                               ExternalID eid,
                               boolean isParameter,
                               java.lang.String ndata)

  Overrides:
    createEntity in class DefaultElementFactory

### createNotation

    public TXNotation createNotation(java.lang.String name,
                                     ExternalID eid)

  Overrides:
    createNotation in class DefaultElementFactory

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |